#!/usr/bin/make -f

export DH_VERBOSE = 1
export GOCACHE=$(CURDIR)/_build
export GOPATH=$(CURDIR)/_build
export GOPROXY=off


%:
	dh $@ --builddirectory=_build --buildsystem=golang

execute_after_dh_auto_configure:
	mkdir -p _build/src/github.com/docker-slim
	ln -sf ${CURDIR}/_build/src/github.com/slimtoolkit/slim $(CURDIR)/_build/src/github.com/docker-slim/docker-slim

override_dh_auto_build:
	cd cmd/slim && go build
	cd cmd/slim-sensor && go build

override_dh_auto_install:
	dh_auto_install -- --no-source

execute_after_dh_install:
	# change the binary name to avoid conflicts with the package named
	# "slim" in Debian which already provides a file /usr/bin/slim
	mv debian/slimtoolkit/usr/bin/slim debian/slimtoolkit/usr/bin/slimtoolkit

override_dh_auto_test:
	# do not run tests, they fail

override_dh_dwz:
	# do not run dh_dwz

override_dh_installdocs:
	dh_installdocs
	# add missing NOTICE files when license is Apache 2
	mkdir -p debian/slimtoolkit/usr/share/doc/slimtoolkit/containerd
	cp vendor/github.com/containerd/containerd/NOTICE debian/slimtoolkit/usr/share/doc/slimtoolkit/containerd
	mkdir -p debian/slimtoolkit/usr/share/doc/slimtoolkit/docker/cli
	cp vendor/github.com/docker/cli/NOTICE debian/slimtoolkit/usr/share/doc/slimtoolkit/docker/cli
	mkdir -p debian/slimtoolkit/usr/share/doc/slimtoolkit/docker/docker
	cp vendor/github.com/docker/docker/NOTICE debian/slimtoolkit/usr/share/doc/slimtoolkit/docker/docker
	mkdir -p debian/slimtoolkit/usr/share/doc/slimtoolkit/opencontainers
	cp vendor/github.com/opencontainers/runc/NOTICE debian/slimtoolkit/usr/share/doc/slimtoolkit/opencontainers
	mkdir -p debian/slimtoolkit/usr/share/doc/slimtoolkit/yaml.v2
	cp vendor/gopkg.in/yaml.v2/NOTICE debian/slimtoolkit/usr/share/doc/slimtoolkit/yaml.v2
	mkdir -p debian/slimtoolkit/usr/share/doc/slimtoolkit/yaml.v3
	cp vendor/gopkg.in/yaml.v3/NOTICE debian/slimtoolkit/usr/share/doc/slimtoolkit/yaml.v3
	mkdir -p debian/slimtoolkit/usr/share/doc/slimtoolkit/yaml
	cp vendor/sigs.k8s.io/kustomize/kyaml/internal/forked/github.com/go-yaml/yaml/NOTICE debian/slimtoolkit/usr/share/doc/slimtoolkit/yaml
